Skip to main content
DELETE
/
organizations
/
{organizationId}
/
deployments
/
{deploymentId}
/
agent-tokens
/
{agentTokenId}
Delete an Agent API Token
curl --request DELETE \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployments/{deploymentId}/agent-tokens/{agentTokenId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "requestId": "<string>",
  "statusCode": 500
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the organization that owns the deployment where you want to delete the Agent API Token.

deploymentId
string
required

The ID of the deployment that owns the Agent API token that you want to delete.

agentTokenId
string
required

The ID of the Agent API token you want to delete.

Response